import { Modal, ModalService } from '@zeedhi/common';
import { TekLibReport } from '@zeedhi/tek-lib';

export class BudgetComparisonController {
  private modal!: Modal;
  
  public async createModal() {
    this.modal = await ModalService.createFromJsonPost('', { jsonPath: 'example/modal-report' });
  }
  
  public destroyModal() {
    this.modal?.destroy();
  }
  
  public closeModal() {
    this.modal.hide();
  }
  
  public async openUploadModal() {
    TekLibReport.setModalForm(this.modal);
  }
  
  public async uploadModal() {
    TekLibReport.uploadModal(this.modal);
  }
  
  public async onMountedReportSelect() {
    TekLibReport.loadCustomReports();
  }
  
  public changeReportModal() {
    TekLibReport.changeReportModal();
  }
  
  public onClickDownloadReport() {
    TekLibReport.downloadReport();
  }
  
  public onClickDeleteReport() {
    TekLibReport.deleteReport();
  }
}
